package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @Author: xiangming.liao
 * @CreateDate: 2020/12/22 14:38 下午
 * @Description: 每个月的冻结数、报废数、生产总数返回model
 **/
@Api("每个月的冻结数、报废数、生产总数返回model")
@Data
public class MesProduceSnDisposableModel {
    @ApiParam("统计时间")
    private String statisticalTime;

    @ApiParam("质量状态/类型")
    private Integer qcStatus;

    @ApiParam("统计选项")
    private String statisticalOption;

    @ApiParam("冻结数")
    private BigDecimal freezeQty;

    @ApiParam("报废数")
    private BigDecimal scrapQty;

    @ApiParam("生产总数")
    private BigDecimal produceSumQty;

    @ApiParam("占比率")
    private BigDecimal ratio;

    public MesProduceSnDisposableModel(String statisticalTime, Integer qcStatus, String statisticalOption, BigDecimal freezeQty, BigDecimal scrapQty, BigDecimal produceSumQty, BigDecimal ratio) {
        this.statisticalTime = statisticalTime;
        this.qcStatus = qcStatus;
        this.statisticalOption = statisticalOption;
        this.freezeQty = freezeQty;
        this.scrapQty = scrapQty;
        this.produceSumQty = produceSumQty;
        this.ratio = ratio;
    }

    public MesProduceSnDisposableModel() {
    }
}
